#- name: docker | build an image with the command module for a remote docker host
#  hosts: localhost
#  connection: local
- name: docker | create build directory {{ docker_build_dir }}
  file:
    path: "{{ docker_build_dir }}"
    state: directory
    mode: '0755'
#- name: docker | copy Dockerfile
#  template:
#    src: "{{ docker_template_dir }}/Dockerfile.j2"
#    dest: /root/demo-dockerfile/Dockerfile
#    owner: root
#    group: root
#    mode: '0644'
- name: docker | copy Dockerfile into {{ docker_build_dir }}
  template:
    src: "{{ docker_template_dir }}/Dockerfile.j2"
    dest: "{{ docker_build_dir }}/Dockerfile"
    mode: 0644
#- name: docker | build container image
#  docker_image:
##   name: "{{ docker_image_name }}:{{ docker_image_version }}"
#    name: myimage
#    build:
#      path: "{{ docker_build_dir }}"
#      dockerfile: "Dockerfile"
#      nocache: yes
#    state: present
##- name: docker | pull docker image
##  docker_image:
##    name: "ubuntu:20:04"
##    source: pull
#    source: build
#    become: yes
#    state: present
##- name: docker | docker.service start
##  command: service docker start

#- name: docker | Debug docker.service status
#  command: service docker status

- name: docker | Debug docker --version
  command: docker --version

- name: docker | cat Dockerfile
  command: cat {{ docker_build_dir }}/Dockerfile

- name: docker | shell build the image
  shell: docker build -t myimage {{ docker_build_dir }}

- name: docker | build the image
  command: docker build -t myimage {{ docker_build_dir }}
